## org.codehaus.groovy.runtime.wrappers
Class GroovyObjectWrapper

    java.lang.Object
      org.codehaus.groovy.runtime.wrappers.Wrapper
          org.codehaus.groovy.runtime.wrappers.GroovyObjectWrapper

All Implemented Interfaces:
  GroovyObject

    public class GroovyObjectWrapper

extends Wrapper

Author:
  John Wilson

Field Summary
`protected GroovyObject` `wrapped`

Fields inherited from class org.codehaus.groovy.runtime.wrappers.Wrapper
`constrainedType, delegatingMetaClass`

Constructor Summary
`GroovyObjectWrapper(GroovyObject wrapped, Class constrainedType)`

Method Summary
`protected MetaClass` `getDelegatedMetaClass()`
`Object` `getProperty(String property)` Note the rest of these method will only be used post 1.0
`protected Object` `getWrapped()`
`Object` `invokeMethod(String name, Object args)` Invokes the given method.
`void` `setMetaClass(MetaClass metaClass)` Allows the MetaClass to be replaced with a derived implementation.
`void` `setProperty(String property, Object newValue)` Sets the given property to the new value.
`Object` `unwrap()`

Methods inherited from class org.codehaus.groovy.runtime.wrappers.Wrapper
`getMetaClass, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### wrapped

    protected final GroovyObject wrapped

Constructor Detail

### GroovyObjectWrapper

    public GroovyObjectWrapper(GroovyObject wrapped,
                               Class constrainedType)

Method Detail

### unwrap

    public Object unwrap()

  Specified by:
    `unwrap` in class `Wrapper`

### getProperty

    public Object getProperty(String property)

  Note the rest of these method will only be used post 1.0

  Parameters:
    `property` - the name of the property of interest
  Returns:
    the given property

### invokeMethod

    public Object invokeMethod(String name,
                               Object args)

  Description copied from interface: `GroovyObject`
  Invokes the given method.

  Parameters:
    `name` - the name of the method to call
    `args` - the arguments to use for the method call
  Returns:
    the result of invoking the method

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

  Description copied from interface: `GroovyObject`
  Allows the MetaClass to be replaced with a derived implementation.

  Parameters:
    `metaClass` - the new metaclass

### setProperty

    public void setProperty(String property,
                            Object newValue)

  Description copied from interface: `GroovyObject`
  Sets the given property to the new value.

  Parameters:
    `property` - the name of the property of interest
    `newValue` - the new value for the property

### getWrapped

    protected Object getWrapped()

  Specified by:
    `getWrapped` in class `Wrapper`

### getDelegatedMetaClass

    protected MetaClass getDelegatedMetaClass()

  Specified by:
    `getDelegatedMetaClass` in class `Wrapper`

Copyright © 2003-2008 The Codehaus. All rights reserved.